Bug 149151 - [GTK] Extend default timeout value for release build.
Summary: [GTK] Extend default timeout value for release build.
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: ChangSeok Oh
URL:
Keywords:
Depends on:
Blocks: 149112
  Show dependency treegraph
 
Reported: 2015-09-14 21:45 PDT by ChangSeok Oh
Modified: 2015-09-21 01:12 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.44 KB, patch)
2015-09-14 21:50 PDT, ChangSeok Oh
changseok: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ChangSeok Oh 2015-09-14 21:45:51 PDT
Currently the default value of timeout for release build is 6000ms. But this is too short to pass some media tests.
For example, ./LayoutTests/media/media-controls-timeline-updates.html and mine posted in bug149112.
Those tests wait until a video play is done. However, the used video's runtime is 6.02 second so it fails with timeout.
Thus, I propose to extend the default value to 7000ms.
Comment 1 ChangSeok Oh 2015-09-14 21:50:04 PDT
Created attachment 261170 [details]
Patch
Comment 2 Philippe Normand 2015-09-14 23:55:17 PDT
This seems more like a workaround. Shouldn't the test be fixed instead?
Comment 3 Philippe Normand 2015-09-14 23:56:05 PDT
Instead of waiting normal playback is finished you should seek to video.duration - someSmallValue.
Comment 4 ChangSeok Oh 2015-09-15 00:16:43 PDT
(In reply to comment #3)
> Instead of waiting normal playback is finished you should seek to
> video.duration - someSmallValue.

Well, it could be. but it sounds more like a workaround. The video has been used for a long time. there are many testes using it already. IMHO, fixing the test itself is not a good idea to avoid timeout for a specific port. Fixing the tests itself requires extra effort. Also, it is hard to believe for somebody working on other port to add some extra code manipulating runtime for gtk port in a his/her new test.
Comment 5 Philippe Normand 2015-09-15 00:33:13 PDT
(In reply to comment #3)
> Instead of waiting normal playback is finished you should seek to
> video.duration - someSmallValue.

This is (or used to be) a common technique in the media tests, fwiw. Doesn't feel like a workaround to me, we need tests to finish as fast as possible, waiting 6 or 7 seconds for a single test is bad if it can be easily avoided.
Comment 6 ChangSeok Oh 2015-09-16 00:43:59 PDT
(In reply to comment #5)
> (In reply to comment #3)
> > Instead of waiting normal playback is finished you should seek to
> > video.duration - someSmallValue.
> 
> This is (or used to be) a common technique in the media tests, fwiw. Doesn't
> feel like a workaround to me, we need tests to finish as fast as possible,
> waiting 6 or 7 seconds for a single test is bad if it can be easily avoided.

O.K. I modified my test for bug149112.
media-controls-timeline-updates.html should be changed later as well.